# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Initializing variables
    url_dl = "http://b1.download.windowsupdate.com/d/upgr/2019/11/windows10.0-kb4517245-x64_5dc34b6684b9135c5404b5ebb78555e97917aa90.msu"
    proxies = get_proxies()
    latest_bin = url_dl.split('/')[1]
    version = control.get_software_version()

    # Downloading latest binaries
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(url_dl, latest_bin, proxies=proxies)

    # Changing version of the package
    control.version = "%s-%s" % (version, int(control.version.split("-")[-1]) + 1)
    control.save_control_to_wapt()
    print("Changing version to: %s in WAPT\\control" % control.version)